X
Tap here to go to the mobile version of the site.

Support Forum

Cerficicate selection popup does not allow to select a cert

Posted

When I access a web site that requires client certificate - and I have several different ones, including those on hardware tokens - the prompt/popup is malformed. All the certificates are listed HORIZONTALLY, making it impossible to scroll through them and select the correct one. I can walk through the available ones, highlighting them via Up- and Down-arrows, but that does not change the real selection, and the displayed certificate remains to be the first one.

Automatic certificate selection does not work for me, because the site in question requires Email certificate instead of Authentication certificate.

When I access a web site that requires client certificate - and I have several different ones, including those on hardware tokens - the prompt/popup is malformed. All the certificates are listed HORIZONTALLY, making it impossible to scroll through them and select the correct one. I can walk through the available ones, highlighting them via Up- and Down-arrows, but that does not change the real selection, and the displayed certificate remains to be the first one. Automatic certificate selection does not work for me, because the site in question requires Email certificate instead of Authentication certificate.
Quote

Additional System Details

Installed Plug-ins

  • Shockwave Flash 32.0 r0

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:67.0) Gecko/20100101 Firefox/67.0

More Information

WestEnd
  • Top 10 Contributor
60 solutions 5243 answers

What is the site? That will help those looking to see what is happening.

What is the site? That will help those looking to see what is happening.
Was this helpful to you? 0
Quote

Question owner

The site is https://www.intelink.gov (or another one - https://owa.us.af.mil), but I doubt it would help you much.

And the problem is not that Firefox cannot connect - the problem is that Firefox certificate selection popup became broken, so I cannot point it to the right one to use for this connection.

It currently works with the stable Firefox release, and it used to work with Developer Edition - until a week or two ago.

I hope this Monday to post the picture of what the selection popup looks like now - that would probably help diagnosing the problem.

For a layman, the problem appears to be that the cert selection popup became extremely wide - so wide that all the certs/rows (list entries) are displayed horizontally one after another in one physical line. And this popup is not resizeable, so I see no way to remedy this situation. Reinstalling Firefox Developer Edition did not help. I did not try wiping out all the user configuration, because it includes plugins and a ton of certs I needed to install (and since they have to be installed one by one - I'm not looking forward to re-doing that ;). I wish there was a way to control resizing (or just the size?) of that popup, or maybe of all the popups (hopefully, individually - not "one size fits all" ;).

Hope the above gives a bit more info to go on.

The site is [https://www.intelink.gov https://www.intelink.gov] (or another one - [https://owa.us.af.mil]), but I doubt it would help you much. And the problem is not that Firefox cannot connect - the problem is that Firefox certificate selection popup became broken, so I cannot point it to the right one to use for this connection. It currently works with the stable Firefox release, and it used to work with Developer Edition - until a week or two ago. I hope this Monday to post the picture of what the selection popup looks like now - that would probably help diagnosing the problem. For a layman, the problem appears to be that the cert selection popup became extremely wide - so wide that all the certs/rows (list entries) are displayed horizontally one after another in one physical line. And this popup is not resizeable, so I see no way to remedy this situation. Reinstalling Firefox Developer Edition did not help. I did not try wiping out all the user configuration, because it includes plugins and a ton of certs I needed to install (and since they have to be installed one by one - I'm not looking forward to re-doing that ;). I wish there was a way to control resizing (or just the size?) of that popup, or maybe of all the popups (hopefully, individually - not "one size fits all" ;). Hope the above gives a bit more info to go on.

Modified by Mouse008

Was this helpful to you?
Quote

Question owner

~~Something changed with 67.0b4 - the certificate selection popup presented the list of available certificates correctly formatted and sized, and I was able to select the right certificate and login successfully.~~

I take it back. It worked for the sites mentioned in the original question - but just today it failed on a different site, with the same symptoms. I'm attaching the screenshot to illustrate the problem.

Only the first certificate in the list (the leftmost in the presented single row) is selectable - no matter which one you highlight with the cursor, only the first one is chosen when "OK" is clicked.

Update I'm on 67.0b7 and the problem is the same. Manifests itself on https://www.intelink.gov in case it matters.

~~Something changed with 67.0b4 - the certificate selection popup presented the list of available certificates correctly formatted and sized, and I was able to select the right certificate and login successfully.~~ I take it back. It worked for the sites mentioned in the original question - but just today it failed on a different site, with the same symptoms. I'm attaching the screenshot to illustrate the problem. Only the first certificate in the list (the leftmost in the presented single row) is selectable - no matter which one you highlight with the cursor, only the first one is chosen when "OK" is clicked. '''Update''' I'm on 67.0b7 and the problem is the same. Manifests itself on https://www.intelink.gov in case it matters.

Modified by Mouse008

Was this helpful to you?
Quote
unikoke 0 solutions 1 answers

Same problem here.

I can select a certificate as usual with firefox Quantum (66.0.2 linux version) but with no higher (Developer, nightly, or beta)

Same problem here. I can select a certificate as usual with firefox Quantum (66.0.2 linux version) but with no higher (Developer, nightly, or beta)
Was this helpful to you?
Quote
cor-el
  • Top 10 Contributor
  • Moderator
17212 solutions 155506 answers

Sounds like this bug (fixed in Firefox 68).

  • Bug 1540123 - Client certificate selection popup selectbox defective [68]

(please do not comment in bug reports
https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
)

(fixed bug#)

Sounds like this bug (fixed in Firefox 68). *[https://bugzilla.mozilla.org/show_bug.cgi?id=1540123 Bug 1540123] - Client certificate selection popup selectbox defective [68] (<i>please do not comment in bug reports<br>https://bugzilla.mozilla.org/page.cgi?id=etiquette.html</i>) ''(fixed bug#)''

Modified by cor-el

Was this helpful to you?
Quote
Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.